<template>
    <div id="page-wrapper" class="layout">
        <header id="header" class="header">
            <section class="logo">
                <svg-shadoll height="55px"></svg-shadoll>
                <g-link to="/">{{ $static.metadata.siteName }}</g-link>
            </section>
            <nav class="nav">
                <g-link class="nav__link" to="/">Home</g-link>
                <g-link class="nav__link" to="/about/">About</g-link>
                <g-link class="nav__link" to="/policy/">Privacy Policy</g-link>
            </nav>
        </header>
        <section id="wrapper">
            <header v-if="$slots.header">
                <slot name="header" />
                <!-- header slot  -->
            </header>
            <div class="wrapper">
                <slot />
            </div>
        </section>
        <footer id="footer" v-if="$slots.footer">
            <div class="inner">
                <slot name="footer" />
            </div>
        </footer>
    </div>
</template>

<script>
    import svgShadoll from "~/assets/svgs/shadoll.svg";
    export default {
        components: {
            svgShadoll
        }
    };
</script>

<static-query>
  query {
    metadata {
      siteName
    }
  }
</static-query>

<style lang="scss">
</style>
